org.apache.jmeter.timers

## Class ConstantTimer

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.timers.ConstantTimer

All Implemented Interfaces:
  Serializable, Cloneable, LoopIterationListener, Searchable, TestElement, Timer

Direct Known Subclasses:
  RandomTimer

    public class ConstantTimer
    extends AbstractTestElement
    implements Timer, Serializable, LoopIterationListener

This class implements a constant timer with its own panel and fields for value update and user interaction.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `DELAY`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`ConstantTimer()` No-arg constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `delay()` Retrieve the delay to use during test execution.
`String` `getDelay()` Get the delay value for display.
`double` `getRange()` Retrieve the range (not used for this timer).
`void` `iterationStart(LoopIterationEvent event)` Gain access to any variables that have been defined.
`void` `setDelay(String delay)` Set the delay for this timer.
`void` `setRange(double range)` Set the range (not used for this timer).
`String` `toString()` Provide a description of this timer class.

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.timers.Timer

`isModifiable`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Field Detail

#### DELAY

    public static final String DELAY

See Also:
  Constant Field Values

### Constructor Detail

#### ConstantTimer

    public ConstantTimer()

No-arg constructor.

### Method Detail

#### setDelay

    public void setDelay(String delay)

Set the delay for this timer.

Parameters:
  `delay` - The delay for this timer

#### setRange

    public void setRange(double range)

Set the range (not used for this timer).

Parameters:
  `range` - Not used

#### getDelay

    public String getDelay()

Get the delay value for display.

Returns:
  the delay value for display.

#### getRange

    public double getRange()

Retrieve the range (not used for this timer).

Returns:
  the range (always zero for this timer).

#### delay

    public long delay()

Retrieve the delay to use during test execution.

Specified by:
  `delay` in interface `Timer`
Returns:
  the delay.

#### toString

    public String toString()

Provide a description of this timer class.

Overrides:
  `toString` in class `Object`
Returns:
  the description of this timer class.

#### iterationStart

    public void iterationStart(LoopIterationEvent event)

Gain access to any variables that have been defined.

Specified by:
  `iterationStart` in interface `LoopIterationListener`
Parameters:
  `event` - the event
See Also:
  `LoopIterationListener.iterationStart(LoopIterationEvent)`